SystemOrganization addCategory: #ConfigurationOfXMLSupport!

Object subclass: #ConfigurationOfXMLSupport
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLSupport'!

!ConfigurationOfXMLSupport class methodsFor: 'private' stamp: 'DaleHenrichs 2/7/2010 09:39'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfXMLSupport class methodsFor: 'private' stamp: 'DaleHenrichs 2/7/2010 09:39'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfXMLSupport class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLSupport class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfXMLSupport class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:31'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfXMLSupport class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:32'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfXMLSupport class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:32'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfXMLSupport class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfXMLSupport class methodsFor: 'accessing' stamp: 'DaleHenrichs 2/7/2010 09:39'!
project

	^self new project! !

!ConfigurationOfXMLSupport class methodsFor: 'unloading Metacello' stamp: 'DaleHenrichs 2/7/2010 09:39'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'DaleHenrichs 2/7/2010 09:49'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/XMLSupport'.	
		spec 
			package: 'XML-Parser'.
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #(). ].! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'JAAyer 11/28/2010 08:19'!
baseline101: spec 
	<version: '1.0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/XMLSupport'.	
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #(). ].
	spec for: #squeakCommon do: [
		spec repository: 'http://www.squeaksource.com/XMLSupport'.
		spec 
			package: 'XML-Parser'. ].
	spec for: #gemstone do: [
		spec
			project: 'XML-Parser' with: [
				spec
					className: 'ConfigurationOfGsMisc';
					loads: #('XML-Parser');
					file: 'ConfigurationOfGsMisc';
					repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
			yourself].
	
! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'NorbertHartl 08/11/2010 16:51'!
baseline104: spec 
	<version: '1.0.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/XMLSupport'.	
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #().
		spec package: 'SIXX' with: [
			spec requires: #('XML-Parser')]].
	
	spec for: #squeakCommon do: [
		spec repository: 'http://www.squeaksource.com/XMLSupport'.
		spec 
			package: 'XML-Parser'. ].
	spec for: #gemstone do: [
		spec
			package: 'XML-Parser' with: [
				spec repository: 'http://seaside.gemstone.com/ss/XMLSupport' ];
			package: 'SIXX' with: [
				spec repository: 'http://seaside.gemstone.com/ss/SIXX'];
			yourself ].
	
! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'DaleHenrichs 08/12/2010 14:30'!
baseline105: spec 
	<version: '1.0.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/XMLSupport'.	

		spec package: 'XML-Parser'.

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #();
			yourself
	].
	
	spec for: #squeakCommon do: [
		spec 
			package: 'Pastell' with: [
				spec requires: #('XML-Parser'). ].
	 ].
		
	spec for: #gemstone do: [
		spec
			project: 'Grease Core' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0-rc-baseline';
					loads: #('Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec
			package: 'XML-Parser' with: [
				spec 
					file: 'XML-Parser.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport' ];
			package: 'SIXX' with: [
				spec 
					requires: #('XML-Parser' 'Grease Core');
					repository: 'http://seaside.gemstone.com/ss/SIXX'];
			yourself. 
	].
	
! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'JAAyer 11/18/2010 08:21'!
baseline107: spec 
	<version: '1.0.7-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLSupport'.

		spec
			project: 'XML-Writer' with: [
				spec
					repository: 'http://www.squeaksource.com/XMLWriter';
					className: 'ConfigurationOfXMLWriter'];
			package: 'Collections-CharacterMap' with: [
				spec repository: 'http://www.squeaksource.com/CharacterMap'];
			package: 'XML-Parser' with: [
				spec requires: #('XML-Writer' 'Collections-CharacterMap')];
			package: 'XML-Tests-Parser' with: [spec requires: 'XML-Parser'].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #('XML-Tests-Parser')].
	
	spec for: #squeakCommon do: [
		spec 
			package: 'Pastell'
			with: [spec requires: #('XML-Parser')]].
		
	spec for: #gemstone do: [
		spec project: 'Grease Core' with: [
			spec
				className: 'ConfigurationOfGrease';
				versionString: '1.0-rc-baseline';
				loads: #('Core' );
				repository: 'http://www.squeaksource.com/MetacelloRepository'].

		spec
			package: 'XML-Parser' with: [
				spec 
					file: 'XML-Parser.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport'];
			package: 'SIXX' with: [
				spec 
					requires: #('XML-Parser' 'Grease Core');
					repository: 'http://seaside.gemstone.com/ss/SIXX']].! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'JAAyer 11/20/2010 08:13'!
baseline108: spec 
	<version: '1.0.8-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLSupport'.

		spec
			project: 'XML-Writer' with: [
				spec
					repository: 'http://www.squeaksource.com/XMLWriter';
					className: 'ConfigurationOfXMLWriter'];
			package: 'Collections-OrderPreservingDictionary' with: [
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict'];
			package: 'Collections-CharacterMap' with: [
				spec repository: 'http://www.squeaksource.com/CharacterMap'];
			package: 'XML-Parser' with: [
				spec requires: #('XML-Writer' 'Collections-OrderPreservingDictionary' 'Collections-CharacterMap')];
			package: 'XML-Tests-Parser' with: [spec requires: 'XML-Parser'].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #('XML-Tests-Parser')].
	
	spec for: #squeakCommon do: [
		spec 
			package: 'Pastell'
			with: [spec requires: #('XML-Parser')]].
		
	spec for: #gemstone do: [
		spec project: 'Grease Core' with: [
			spec
				className: 'ConfigurationOfGrease';
				versionString: '1.0-rc-baseline';
				loads: #('Core' );
				repository: 'http://www.squeaksource.com/MetacelloRepository'].

		spec
			package: 'XML-Parser' with: [
				spec 
					file: 'XML-Parser.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport'];
			package: 'SIXX' with: [
				spec 
					requires: #('XML-Parser' 'Grease Core');
					repository: 'http://seaside.gemstone.com/ss/SIXX']].! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'JAAyer 11/28/2010 08:07'!
baseline110: spec 
	<version: '1.1.0-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLSupport'.

		spec
			project: 'XML-Writer' with: [
				spec
					className: 'ConfigurationOfXMLWriter';
					repository: 'http://www.squeaksource.com/XMLWriter'];
			package: 'Collections-OrderPreservingDictionary' with: [
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict'];
			package: 'Collections-CharacterMap' with: [
				spec repository: 'http://www.squeaksource.com/CharacterMap'];
			package: 'XML-Parser' with: [
				spec requires:
					#('XML-Writer'
						'Collections-OrderPreservingDictionary'
						'Collections-CharacterMap')];
			package: 'XML-Tests-Parser' with: [spec requires: 'XML-Parser'].

		spec 
			package: 'Opax' with: [
				spec
					repository: 'http://www.squeaksource.com/OPAX';
					requires: 'XML-Parser'].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #('XML-Tests-Parser')].

	spec for: #squeakcommon do: [
		spec package: 'Pastell' with: [
			spec
				requires: #('XML-Parser');
				repository: 'http://www.squeaksource.com/Pastell']].

	spec for: #gemstone do: [
		spec project: 'Grease Core' with: [
			spec
				className: 'ConfigurationOfGrease';
				versionString: '1.0-rc-baseline';
				loads: #('Core' );
				repository: 'http://www.squeaksource.com/MetacelloRepository'].

		spec
			package: 'XML-Parser' with: [
				spec 
					file: 'XML-Parser.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport'];
			package: 'SIXX' with: [
				spec 
					requires: #('XML-Parser' 'Grease Core');
					repository: 'http://seaside.gemstone.com/ss/SIXX']].! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'JAAyer 1/20/2011 02:50'!
baseline117: spec 
	<version: '1.1.7-baseline'>
	
	spec for: #common do: [
		spec
			blessing: #baseline;
			repository: 'http://www.squeaksource.com/XMLSupport'.

		spec
			project: 'XML-Writer' with: [
				spec
					className: 'ConfigurationOfXMLWriter';
					repository: 'http://www.squeaksource.com/XMLWriter'];
			package: 'Collections-OrderPreservingDictionary' with: [
				spec repository: 'http://www.squeaksource.com/OrderPreservingDict'];
			package: 'Collections-BitmapCharacterSet' with: [
				spec repository: 'http://www.squeaksource.com/BitmapCharacterSet'];
			package: 'XML-Parser' with: [
				spec requires:
					#('XML-Writer'
						'Collections-OrderPreservingDictionary'
						'Collections-BitmapCharacterSet')];
			package: 'XML-Tests-Parser' with: [spec requires: 'XML-Parser'].

		spec 
			package: 'Opax' with: [
				spec
					repository: 'http://www.squeaksource.com/OPAX';
					requires: 'XML-Parser'].

		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('XML-Parser');
			group: 'Tests' with: #('XML-Tests-Parser')].

	spec for: #squeakcommon do: [
		spec package: 'Pastell' with: [
			spec
				requires: #('XML-Parser');
				repository: 'http://www.squeaksource.com/Pastell']].

	spec for: #gemstone do: [
		spec project: 'Grease Core' with: [
			spec
				className: 'ConfigurationOfGrease';
				versionString: '1.0-rc-baseline';
				loads: #('Core' );
				repository: 'http://www.squeaksource.com/MetacelloRepository'].

		spec
			package: 'XML-Parser' with: [
				spec 
					file: 'XML-Parser.g';
					repository: 'http://seaside.gemstone.com/ss/XMLSupport'];
			package: 'SIXX' with: [
				spec 
					requires: #('XML-Parser' 'Grease Core');
					repository: 'http://seaside.gemstone.com/ss/SIXX']].! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'OttoBehrens 2/22/2011 21:29'!
baseline118: spec
	<version: '1.1.8-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				repository: 'http://www.squeaksource.com/XMLSupport'.
			spec
				project: 'XML-Writer'
					with: [ 
							spec
								className: 'ConfigurationOfXMLWriter';
								repository: 'http://www.squeaksource.com/XMLWriter' ];
				package: 'Collections-OrderPreservingDictionary'
					with: [ spec repository: 'http://www.squeaksource.com/OrderPreservingDict' ];
				package: 'Collections-BitmapCharacterSet'
					with: [ spec repository: 'http://www.squeaksource.com/BitmapCharacterSet' ];
				package: 'XML-Parser'
					with: [ spec requires: #('XML-Writer' 'Collections-OrderPreservingDictionary' 'Collections-BitmapCharacterSet') ];
				package: 'XML-Tests-Parser' with: [ spec requires: 'XML-Parser' ].
			spec
				package: 'Opax'
				with: [ 
					spec
						repository: 'http://www.squeaksource.com/OPAX';
						requires: 'XML-Parser' ].
			spec
				group: 'default' with: #('Core');
				group: 'Core' with: #('XML-Parser');
				group: 'Tests' with: #('XML-Tests-Parser') ].
	spec
		for: #squeakcommon
		do: [ 
			spec
				package: 'Pastell'
				with: [ 
					spec
						requires: #('XML-Parser');
						repository: 'http://www.squeaksource.com/Pastell' ] ].
	spec
		for: #gemstone
		do: [ 
			spec
				project: 'Grease Core'
				with: [ 
					spec
						className: 'ConfigurationOfGrease';
						versionString: '1.0.3-baseline';
						loads: #('Core');
						repository: 'http://www.squeaksource.com/MetacelloRepository' ].
			spec
				package: 'SIXX'
				with: [ 
					spec
						requires: #('XML-Parser' 'Grease Core');
						repository: 'http://seaside.gemstone.com/ss/SIXX' ] ]! !

!ConfigurationOfXMLSupport methodsFor: 'baselines' stamp: 'OttoBehrens 2/22/2011 21:30'!
baseline119: spec
	<version: '1.1.9-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				repository: 'http://www.squeaksource.com/XMLSupport'.
			spec
				project: 'XML-Writer'
					with: [ 
							spec
								className: 'ConfigurationOfXMLWriter';
								repository: 'http://www.squeaksource.com/XMLWriter' ];
				package: 'Collections-OrderPreservingDictionary'
					with: [ spec repository: 'http://www.squeaksource.com/OrderPreservingDict' ];
				package: 'Collections-BitmapCharacterSet'
					with: [ spec repository: 'http://www.squeaksource.com/BitmapCharacterSet' ];
				package: 'XML-Parser'
					with: [ spec requires: #('XML-Writer' 'Collections-OrderPreservingDictionary' 'Collections-BitmapCharacterSet') ];
				package: 'XML-Tests-Parser' with: [ spec requires: 'XML-Parser' ].
			spec
				package: 'Opax'
				with: [ 
					spec
						repository: 'http://www.squeaksource.com/OPAX';
						requires: 'XML-Parser' ].
			spec
				group: 'default' with: #('Core');
				group: 'Core' with: #('XML-Parser');
				group: 'Tests' with: #('XML-Tests-Parser') ].
	spec
		for: #squeakcommon
		do: [ 
			spec
				package: 'Pastell'
				with: [ 
					spec
						requires: #('XML-Parser');
						repository: 'http://www.squeaksource.com/Pastell' ] ].
	spec
		for: #gemstone
		do: [ 
			spec
				project: 'Grease Core'
				with: [ 
					spec
						className: 'ConfigurationOfGrease';
						versionString: '1.0.3-baseline';
						loads: #('Core');
						repository: 'http://www.squeaksource.com/MetacelloRepository' ].
			spec
				package: 'SIXX'
				with: [ 
					spec
						requires: #('XML-Parser' 'Grease Core');
						repository: 'http://seaside.gemstone.com/ss/SIXX' ] ]! !

!ConfigurationOfXMLSupport methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 01/25/2011 10:24'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfXMLSupport methodsFor: 'accessing' stamp: 'DaleHenrichs 2/7/2010 09:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLSupport methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 01/25/2011 10:25'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.1.7'.
	spec for: #'gemstone' version: '1.0.5'.
! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 2/7/2010 09:49'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'XML-Parser' with: 'XML-Parser-Alexandre_Bergel.20']! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'Alexandre Bergel 2/24/2010 08:33'!
version101: spec 
	<version: '1.0.1' imports: #('1.0.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #development. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-Alexandre_Bergel.20'].
	spec for: #gemstone do: [
		spec 
			project: 'XML-Parser' with: '0.235'].
! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 03/12/2010 14:37'!
version102: spec 
	<version: '1.0.2' imports: #('1.0.1-baseline') >
	"Note that this version is evolving. All future improvement of the version 1.0.2 should be backward compatible."
	
	spec for: #common do: [
		spec blessing: #development. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-Alexandre_Bergel.29'].
	spec for: #gemstone do: [
		spec 
			project: 'XML-Parser' with: '0.236' "port of XML-Parser-Alexandre_Bergel.41"].
! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 01/24/2011 11:45'!
version103: spec 
	<version: '1.0.3' imports: #('1.0.1-baseline') >
	"Note that this version is evolving. All future improvement of the version 1.0.2 should be backward compatible."
	
	spec for: #common do: [
		spec blessing: #development. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-Alexandre_Bergel.78'].
	spec for: #gemstone do: [
		spec 
			project: 'XML-Parser' with: '0.236' "port of XML-Parser-Alexandre_Bergel.41"].
! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'NorbertHartl 08/11/2010 16:52'!
version104: spec 
	<version: '1.0.4' imports: #('1.0.4-baseline') >
	"Note that this version is evolving. All future improvement of the version 1.0.2 should be backward compatible."
	
	spec for: #common do: [
		spec blessing: #development. ].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.92'].
	spec for: #gemstone do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-NorbertHartl.73'; "port of XML-Parser-JAAyer.89"
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].
! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'JAAyer 11/28/2010 08:19'!
version105: spec
	<version: '1.0.5' imports: #('1.0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #stable.
		spec author: 'Alexandre Bergel'.
		spec timestamp: '10/5/2010 14:06'.
	].

	spec for: #'squeakCommon' do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-AlexandreBergel.93';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].

	spec for: #'gemstone' do: [
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:33'!
version106: spec
	<version: '1.0.6' imports: #('1.0.5-baseline' )>

	spec for: #'common' do: [
		spec
			blessing: #release;
			author: 'JAAyer';
			timestamp: '11/15/2010 23:14'].

	spec for: #'squeakCommon' do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-tg.101';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].

	spec for: #'gemstone' do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:33'!
version107: spec
	<version: '1.0.7' imports: #('1.0.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #development.

		spec
			project: 'XML-Writer' with: '1.0';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.2'].

	spec for: #'squeakCommon' do: [
		spec
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.105';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].

	spec for: #'gemstone' do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version108: spec
	<version: '1.0.8' imports: #('1.0.8-baseline' )>

	spec for: #'common' do: [
		spec
			blessing: #release;
			author: 'JAAyer'.

		spec
			project: 'XML-Writer' with: '1.0.1';
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.3'].

	spec for: #'squeakCommon' do: [
		spec
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.106';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].

	spec for: #'gemstone' do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version110: spec
	<version: '1.1.0' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '11/28/2010 08:09'.
		spec project: 'XML-Writer' with: '1.0.1'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.5';
			package: 'Opax' with: 'Opax-FabrizioPerin.15'].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.107';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version111: spec
	<version: '1.1.1' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '11/28/2010 08:09'.
		spec project: 'XML-Writer' with: '1.0.2'.
		spec
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.5';
			package: 'Opax' with: 'Opax-FabrizioPerin.15'].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.109';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version112: spec
	<version: '1.1.2' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '11/28/2010 13:37'.
		spec project: 'XML-Writer' with: '1.0.2'.
		spec
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.15'].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.110';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version113: spec
	<version: '1.1.3' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '11/29/2010 14:04'.
		spec project: 'XML-Writer' with: '1.0.2'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.1';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.15'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.111';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'.].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'.].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version114: spec
	<version: '1.1.4' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '12/6/2010 23:04'.
		spec project: 'XML-Writer' with: '1.0.3'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.5';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.16'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.113';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'.].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'.].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version115: spec
	<version: '1.1.5' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '12/6/2010 23:48'.
		spec project: 'XML-Writer' with: '1.0.3'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.5';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.16'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.114';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'.].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'.].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'DaleHenrichs 02/09/2011 09:34'!
version116: spec
	<version: '1.1.6' imports: #('1.1.0-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '12/14/2010 02:45'.
		spec project: 'XML-Writer' with: '1.0.3'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.5';
			package: 'Collections-CharacterMap' with: 'Collections-CharacterMap-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.16'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.115';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'.].
	spec for: #gemstone do: [
		spec blessing: #broken.
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'.].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'JAAyer 1/20/2011 03:31'!
version117: spec
	<version: '1.1.7' imports: #('1.1.7-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JAAyer'.
		spec timestamp: '1/20/2011 03:31'.
		spec project: 'XML-Writer' with: '1.0.4'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.6';
			package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-JAAyer.1';
			package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAAyer.6';
			package: 'Opax' with: 'Opax-FabrizioPerin.16'.].
	spec for: #squeakCommon do: [
		spec 
			package: 'XML-Parser' with: 'XML-Parser-JAAyer.116';
			package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18'.].
	spec for: #gemstone do: [
		spec project: 'Grease Core' with: '1.0-rc'.
		spec 
			package: 'XML-Parser' with: 'XML-Parser.g-DaleHenrichs.93';
			package: 'SIXX' with: 'SIXX-NorbertHartl.171'.].! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'OttoBehrens 2/16/2011 21:13'!
version118: spec
	<version: '1.1.8' imports: #('1.1.8-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec author: 'JAAyer'.
			spec timestamp: '1/20/2011 03:31'.
			spec project: 'XML-Writer' with: '1.0.4'.
			spec
				package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.6';
				package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-JAAyer.1';
				package: 'XML-Parser' with: 'XML-Parser-OttoBehrens.125';
				package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-OttoBehrens.7';
				package: 'Opax' with: 'Opax-FabrizioPerin.16' ].
	spec for: #squeakCommon do: [ spec package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18' ].
	spec
		for: #gemstone
		do: [ 
			spec project: 'Grease Core' with: '1.0-rc'.
			spec package: 'SIXX' with: 'SIXX-NorbertHartl.171' ]! !

!ConfigurationOfXMLSupport methodsFor: 'versions' stamp: 'OttoBehrens 2/22/2011 21:32'!
version119: spec
	<version: '1.1.9' imports: #('1.1.9-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec author: 'Otto Behrens'.
			spec timestamp: '2011-02-22 21:27'.
			spec project: 'XML-Writer' with: '1.0.5'.
			spec
				package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAAyer.6';
				package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-JAAyer.1';
				package: 'XML-Parser' with: 'XML-Parser-OttoBehrens.125';
				package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-OttoBehrens.7';
				package: 'Opax' with: 'Opax-FabrizioPerin.16' ].
	spec for: #squeakCommon do: [ spec package: 'Pastell' with: 'Pastell-Alexandre_Bergel.18' ].
	spec
		for: #gemstone
		do: [ 
			spec project: 'Grease Core' with: '1.0-rc'.
			spec package: 'SIXX' with: 'SIXX-NorbertHartl.171' ]! !
